// packageH/liveAuthorization/liveAuthorization_scanCode/liveAuthorization_scanCode.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: '直播授权码',
    });
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page : pages 
      });
      this.getMoreData();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  clickTap(e) {
    console.log(e);
    let item = e.currentTarget.dataset.item;
    console.log(item);
    let that = this;
    if (item.type == 1) {
      let uelStr = app.getNetAddresss("plugin.room.frontend.code.activationCode");
      app._getNetWork({
        url: uelStr,
        data: {
          id: item.id,
        },
        success: function (resdata) {
          console.log(resdata);
          that.getData();
        },
        fail: function (res) {
          console.log(res);
        },
      });
    }
  },
  getData() {
    let that = this;
    let uelStr = app.getNetAddresss("plugin.room.frontend.code.purchasedCode");
    app._getNetWork({
      url: uelStr,
      data: {
        page: that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none',
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getMoreData(){
    let that = this;
    let uelStr = app.getNetAddresss("plugin.room.frontend.code.purchasedCode");
    app._getNetWork({
      url: uelStr,
      data: {
        page: that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info: that.data.info.concat(res.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none',
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  }
});